<template>
  <div class="home">
    <!-- intro -->
    <section class="pb-lg-5 pt-lg-5">
      <div id="fff" >
        <br>
        <br>
      <b-jumbotron id="TextInJumbotron"   bg-variant="grey">
        <template   v-slot:header>
          <b-row>
          <h3 class=" float-left" style = "color : #22b574 "> CATALYST Marketplace as a Service</h3>
        </b-row>
        <b-row>
        <h6 class=" float-left"  style ="margin-top : 0px" >
          The CATALYST Marketplace as a Service platform allows fo the instantiation and management of local CATALYST marketplaces on demand.
        </h6>
        </b-row>
        <b-row>
             <b-button id = "dd" class=" float-left" @click="showWH"   size="lg" >Learn more >></b-button>
         </b-row>
        </template>
      </b-jumbotron>
      </div>
    </section>
  </div>
</template>

<script>
// import FeaturedRecipeCard from '../components/FeaturedRecipeCard'
// import FeaturedIngredientsCard from '../components/FeaturedIngredientsCard'
import {mapGetters} from 'vuex'

export default {
  name: 'home',
  data () {
    return {
      heightChange: window.innerHeight
    }
  },
  created () {
    // console.log(20 + this.$store.getters.authenticatedUser)
  },
  mounted () {
    window.onresize = () => {
      this.heightChange = window.innerHeight
    }
  },
  computed: {
    ...mapGetters([
      'authenticatedUser'
    ]),
    cssVars () {
      return {
      // 'height' : 700 + 'px' ,
        'min-height': 200 + 'px',
        'height': this.heightChange - 20 + 'px'
      //   'max-height':  + 'px' ,
      }
    }
  },
  methods: {
    GoToWorkSpace () {
      this.$router.push({name: 'deployments'})
    },
    showWH () {
      // this.$router.push({name: 'deployments'})
      console.log('Dd')
    }
  }
}
</script>

<style scoped>
#TextInJumbotron .h3 .p {
padding-left : 0px !important ;

}

#TextInJumbotron {
padding-top : 50px !important ;
padding-bottom : 50px !important ;
margin-bottom : 0px !important;
}

</style>

<style >
#dd {
background-color : #22b574 !important;
 border : 0px !important
        }

#dd:hover {
  background-color : #178553 !important ;
  border : 0px !important

}

#dd:focus {
  background-color : #178553 !important ;
  border : 0px !important

}

</style>
